{% extends 'base.html' %}

{% from 'appointment/common.html' import edit_field %}

{% if request.endpoint.endswith('edit') %}
{% set title = 'Edit Appointment' %}
{% else %}
{% set title = 'Add Appointment' %}
{% endif %}

{% block title %}{{ title }}{% endblock %}

{% block main %}
<div class="row">
	<div class="appointment-edit well offset2 span8">
		<form method="post" class="form-horizontal">
			<legend>{{ title }}</legend>
			{{ edit_field(form.title, maxlength=255, class="span3", placeholder="Important meeting") }}
			{{ edit_field(form.start, class="span3", type="datetime", placeholder="yyyy-mm-dd hh:mm:ss") }}
			{{ edit_field(form.end, class="span3", type="datetime", placeholder="yyyy-mm-dd hh:mm:ss") }}
			{{ edit_field(form.allday) }}
			{{ edit_field(form.location, maxlength=255, class="span3", placeholder="The office") }}
			{{ edit_field(form.description, rows="5", class="span5", placeholder="Papier crayon session.") }}
			<div class="form-actions">
				<button type="submit" class="btn">Save</button>
				ou <a href="{{ url_for('appointment_list') }}">Annuler</a>
			</div>
		</form>
	</div>
</div>
{% endblock main %}
